Internal::node_iterator(3)

NAME
Internal::node_iterator -

SYNOPSIS

Inherits node_iterator_base< Value, cache >.

Detailed Description

  template<typename Value, bool constant_iterators, bool cache> struct Internal::node_iterator< Value, constant_iterators, cache >

Definition at line 161 of file hashtable.

  Public Types
typedef std::ptrdiff_t difference_type
typedef std::forward_iterator_tag iterator_category
typedef IF< constant_iterators, const Value *, Value * >::type pointer
typedef IF< constant_iterators, const Value &, Value & >::type reference
typedef Value value_type

  Public Member Functions
void incr ()
node_iterator (hash_node< Value, cache > *p)
node_iterator ()
reference operator * () const
node_iterator operator++ (int)
node_iterator & operator++ ()
pointer operator-> () const

  Public Attributes
hash_node< Value, cache > * m_cur

Author

Generated automatically by Doxygen for libstdc++ from the source code.